AUTOMAKE_OPTIONS = subdir-objects

# Bedingte Optionen für Jansson
if WANT_JANSSON
    JANSSON_INCLUDES = @JANSSON_CFLAGS@
else
    JANSSON_INCLUDES =
endif

EXTRA_DIST = example-cfg.json

SUBDIRS = compat

bin_PROGRAMS = nolambocoin-miner

dist_man_MANS = nolambocoin-miner.1

nolambocoin_miner_SOURCES = \
    cpu-miner.c util.c sha2.c \
    yespower-1.0.1/sha256.c yespower-1.0.1/yespower-opt.c \
    YespowerSugar.c YespowerIso.c YespowerNull.c \
    YespowerUrx.c YespowerLitb.c YespowerIots.c \
    YespowerItc.c YespowerYtn.c \
    yespower-1.0.1-power2b/sha256-p2b.c yespower-1.0.1-power2b/yespower-opt-p2b.c \
    yespower-1.0.1-power2b/blake2b.c YespowerMbc.c \
<<<<<<< HEAD
    YespowerARM.c 
=======
    YespowerARM.c version.h

# Entferne Header-Dateien aus SOURCES und definiere sie separat
include_HEADERS = \
    elist.h miner.h compat.h
>>>>>>> b12eeead377cb6dddc74a57b520c4f3334d3e21f

# Entferne Header-Dateien aus SOURCES und definiere sie separat
include_HEADERS = \
    elist.h miner.h compat.h

AM_CPPFLAGS = $(JANSSON_INCLUDES) -I$(top_srcdir)/compat/jansson $(PTHREAD_CFLAGS)

# Allgemeine Compiler-Flags basierend auf den Conditionals setzen
if TARGET_RASPBERRY_PI
    AM_CPPFLAGS += -DTARGET_RASPBERRY_PI
endif

if TARGET_ARM_SERVER
    AM_CPPFLAGS += -DTARGET_ARM_SERVER
endif

if TARGET_X86_64
    AM_CPPFLAGS += -DTARGET_X86_64
endif

if TARGET_MACOS
    AM_CPPFLAGS += -DTARGET_MACOS
endif

if TARGET_WINDOWS
    AM_CPPFLAGS += -DTARGET_WINDOWS
endif

nolambocoin_miner_LDFLAGS = $(PTHREAD_LIBS)
nolambocoin_miner_LDADD = @CURL_LIBS@ @JANSSON_LIBS@ $(PTHREAD_LIBS) @WS2_LIBS@

if TARGET_WINDOWS
    nolambocoin_miner_LDADD += @WS2_LIBS@
endif
